<!--
===============LICENSE_START=======================================================
Graphene Apache-2.0
===================================================================================
Copyright (C) 2017 AT&T Intellectual Property & Tech Mahindra. All rights reserved.
Modifications Copyright (C) 2019 Nordix Foundation.
===================================================================================
This Graphene software file is distributed by AT&T and Tech Mahindra
under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
 
     http://www.apache.org/licenses/LICENSE-2.0
 
This file is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
===============LICENSE_END=========================================================
-->


<!--  <main class="mdl-layout__content initialVal hasClass"> -->
<style>
	@import url('css/onBoardingCSS.css');
</style>

<div class="page-content" id="page-top" ng-hide="onap">
	<section class="pageheadsection gray-bg">
		<div layout="row" layout-xs="column" layout-fill layout-align="start start"
			class="mdl-grid mdl-grid--no-spacing">
			<div class="mdl-cell mdl-cell--5-col mdl-cell--4-col-phone mdl-cell--5-col-tablet">
				<div>
					<span class="headline mob-disblock">On-Boarding Model</span>
				</div>
				<ul class="c-breadcrumb">
					<li><a ui-sref="home" ng-click="$root.parentActive = ''">Home</a></li>
					<li><span>On-Boarding Model</span></li>
				</ul>
			</div>
		</div>
	</section>
	<div class="page-wrapper2 onboardsection">
		<div class="mdl-grid mdl-grid--no-spacing">
			<div class="mdl-cell mdl-cell--12-col posrel onboarding">
				<div id="mdl-table">
					<div class="posrel">
						<alert-message msg="msg" icon="icon" styleclass="styleclass" ng-show="showAlertMessage">
						</alert-message>
						<div class="mdl-tabs__panel docker_onboarding">
							<md-content class="md-padding company-market " ng-show="!userLoggedIn">Please <a
									ng-click="$root.showAdvancedLogin()">login</a> to upload the
								model using the Web Experience</md-content>
							<md-content class="md-padding company-market onboardingwebContent" ng-show="userLoggedIn">
								<div>
									<ul class="onboarding-docker" id="webonboarding">
										<li>
											<div class="imageplace">
												<span class="imagecontent micro-service" alt="Create Solution"
													title="Create Solution"></span>
											</div>

											<div class="text">Create Solution</div> <span class="red"
												ng-show="errorCS">Some errors found</span>
											<button ng-click="showErrorDetailsPopup()" ng-show="errorCS"
												class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-publish">
												View Error</button>
										</li>
										<li class="progress-status"></li>
										<li class="">
											<div class="imageplace">
												<span class="imagecontent add-repository" alt="Add Artifacts"
													title="Add Artifacts to repository"></span>
											</div>

											<div class="text">Add Artifacts</div> <span class="red"
												ng-show="errorAA">Some errors found</span>
											<button ng-click="showErrorDetailsPopup()" ng-show="errorAA"
												class="btn-publish-left-margin mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-publish error_found">
												View Error</button>

										</li>
										<li class="progress-status"></li>
										<li>
											<div class="imageplace">
												<span class="imagecontent not-yet-onboarded" alt="Onboarding Status"
													title="Onboarding Status"></span>
											</div> <span class="red" ng-show="errorVM || errorCC || errorCT || errorDO || errorDI">Some errors found</span>
											<button ng-click="showErrorDetailsPopup()" ng-show="errorVM || errorCC || errorCT || errorDO || errorDI"
												class="btn-publish-left-margin mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-publish">
												View Error</button>

											<div class="publshbutton hide">
												<button ng-click="viewModel()"
													class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-publish ">View
													Model</button>
											</div>
											<div class="text">Not yet on-boarded</div>
											<div class="text-completed">Model is on-boarded and
												available in Private catalog</div>
										</li>
									</ul>

									<!-- Onboarding Error Details popup Starts-->
									<div class="md-dialog-container" id="onboardinErrorDetails" style="height: 0;">
										<md-dialog aria-label="On-boarding Errors" class="cg-dialog-medium">
											<form ng-cloak>
												<md-toolbar>
													<div class="md-toolbar-tools">
														<h2>Errors</h2>
														<span flex></span>
														<md-button class="md-icon-button" ng-click="handleDismiss()">
															<i class="material-icons">close</i>
														</md-button>
													</div>
												</md-toolbar>
												<md-dialog-content>
													<div class="md-dialog-content">
														<p class="md-text1">Following errors found in
															<span ng-show="errorCS"> "Create Solution" </span>
															<span ng-show="errorCT"> "Create TOSCA" </span>
															<span ng-show="errorDO"> "Dockerize" </span>
															<span ng-show="errorAA"> "Add Artifacts" </span>
															<span ng-show="errorDI"> "Add Docker Image" </span>
														</p>
														<p class="md-text1 error">
															<i class="material-icons">error_outline</i>
														<section ng-show="errorCS" class="error-section"> {{errorCS}}
														</section>
														<section ng-show="errorCT" class="error-section"> {{errorCT}}
														</section>
														<section ng-show="errorDO" class="error-section"> {{errorDO}}
														</section>
														<section ng-show="errorAA" class="error-section"> {{errorAA}}
														</section>
														<section ng-show="errorDI" class="error-section">{{errorDI}}
														</section>
														</p>
														<br />
													</div>
												</md-dialog-content>
												<md-dialog-actions>
													<div class="dialog-footer-container1">
														<span></span>
														<button
															class="mdl-button mdl-js-button btn-primary md-button md-ink-ripple"
															ng-click="handleDismiss()">
															<span>OK</span>
														</button>
													</div>
												</md-dialog-actions>
											</form>
										</md-dialog>
									</div>
									<!-- Onboarding Error Details popup Ends-->
								</div>

								<div class="progress">
									<div class="progress-bar" style="width: 0%;"></div>
								</div>
								<div class="clearfix"></div>
								<!-- on-boarding-web -->
								<div class="timeline">
									<h6 class="onboard-heading">On-board dockerized model URI</h6>
									<div class="upload-model-bundle">
										<div class="mdl-grid">
											<!-- left section -->
											<div
												class="mdl-cell mdl-cell--8-col mdl-cell--5-col-tablet mdl-cell--4-col-phone upload-model-bundle-left">
												<div class="mdl-grid mdl-grid--no-spacing deploy-grid add-document">
													<form class="ng-pristine ng-valid" name="dockerUrlForm">

														<div class="onboard-dockerized">
															<div class="dc-row">
																<div
																	class="mdl-cell--6-col mdl-cell--5-col-tablet mdl-cell--4-col-phone">
																	<md-input-container class="md-block" id="modelName"
																		flex-gt-sm> <label>Model
																			Name </label> <input type="text"
																			name="modelDockerURLName"
																			ng-model="modelDockerURLName"
																			ng-pattern="/^[a-zA-Z0-9_-]+$/"
																			ng-trim="false" required
																			ng-blur="modelNameDVisited=true"
																			ng-focus="modelNameDVisited=false">
																		<div class="help-inline validation-msgs"
																			ng-class="{validationmsg:!dockerUrlForm.modelDockerURLName.$valid && dockerUrlForm.modelDockerURLName.$touched }">
																			<span
																				ng-show="( !!dockerUrlForm.modelDockerURLName.$error.required && dockerUrlForm.modelDockerURLName.$touched && modelNameDVisited)">Model
																				Name Required.</span> <span
																				ng-show="dockerUrlForm.modelDockerURLName.$error.pattern">Model
																				Name can consists of alphanumeric,
																				hyphen and
																				underscore characters only. </span>
																		</div>
																	</md-input-container>
																</div>
															</div>

															<div class="dc-row">
																<div
																	class="mdl-cell--9-col mdl-cell--5-col-tablet mdl-cell--4-col-phone">
																	<md-input-container class="md-block">
<!--																		<label for="input_32">Host</label> <input-->
<!--																			type="text" class="md-input" id="input_32"-->
<!--																			ng-model="host" name="host" required-->
<!--																			ng-blur="hostVisited=true"-->
<!--																			ng-focus="hostVisited=false">-->
<!--																		<div class="help-inline validation-msgs"-->
<!--																			ng-class="{validationmsg:!dockerUrlForm.host.$valid && dockerUrlForm.host.$touched}">-->
<!--																			<span-->
<!--																				ng-show="( !!dockerUrlForm.host.$error.required && dockerUrlForm.host.$touched && hostVisited)">Host-->
<!--																				Required.</span>-->
																		<label for="input_32">Docker URI</label>
																		<div style="font-size: 12px; color: green;">
																			<span><b>Dockerhub image example</b>: docker.io/myimage:latest</span><br>
																			<span><b>General public registry image example</b>: cicd.ai4eu-dev.eu:7444/myimage:v1</span>
																		</div>
																			<input
																			type="text" class="md-input" id="input_32"
																			name="dockerUri" ng-model="dockerUri" required
																			ng-blur="dockerUriVisited=true"
																			ng-focus="dockerUriVisited=false">
																		<div class="help-inline validation-msgs"
																			ng-class="{validationmsg:!dockerUrlForm.dockerUri.$valid && dockerUrlForm.dockerUri.$touched}">
																			<span
																					ng-show="( !!dockerUrlForm.dockerUri.$error.required && dockerUrlForm.dockerUri.$touched && dockerUriVisited)">Docker Uri
																				Required.</span>
																		</div>
																	</md-input-container>
																</div>
															</div>


															<md-input-container class="md-block">
																<div class="new-doc-model">
																	<div
																		class="mdl-cell--8-col mdl-cell--5-col-tablet mdl-cell--4-col-phone">
																		<label for="onboardingForm"
																			class="md-required">Upload Protobuf
																			File</label>
																		<hr style="visibility: hidden; margin: 2px;" />
																		<form class="ng-pristine ng-valid"
																			name="onboardingForm">
																			<div class="mdl-textfield mdl-js-textfield mdl-textfield--file has-placeholder is-upgraded upload-image-input"
																				data-upgraded=",MaterialTextfield">
																				<div class="upload-file-container">
																					<div ng-class="{'disabledButton': !dockerUri || !modelDockerURLName}"
																						class="input-div">

																						<div file-upload
																							file="docoerizedUriprotofile"
																							uploadid="docoerizedUriprotofile"
																							id="uploadFile"
																							filename="docoerizedUriprotofileName"
																							fileinput="file"
																							ng-model="docoerizedUriprotofile"
																							ng-click="resetProgress()"
																							alt="Browse" title="Browse"
																							readonly></div>
																						<div
																							class="upload-image-input files-uploaded">
																							<input
																								class="mdl-textfield__input disabledClick placeholderClass"
																								placeholder="Upload Protobuf File"
																								type="text"
																								ng-model="docoerizedUriProtofilename"
																								readonly />
																						</div>
																					</div>
																					<div class="input-upload-button">
																						<button
																							class="mdl-button mdl-js-button btn-secondary md-ink-ripple"
																							type="button"
																							ng-disabled="!(docoerizedUriprotofile.name)"
																							ng-click="protofileUpload('docoerizedUriproto');"
																							title="Upload" alt="Upload"
																							data-upgraded=",MaterialButton">
																							<span>Upload</span>
																						</button>
																					</div>
																				</div>

																				<div class="progress-bar-div"
																					ng-show="docoerizedUriprotofile.name">
																					<div>
																						<span
																							class="namelength">{{docoerizedUriprotofile.name}}</span>
																					</div>
																					<div
																						ng-if="docoerizedUriprotofile.size/1024/1024 < 1">
																						{{Math.ceil(docoerizedUriprotofile.size/1024)}}KB
																					</div>
																					<div
																						ng-if="docoerizedUriprotofile.size/1024/1024 > 1">
																						{{Math.ceil(docoerizedUriprotofile.size/1024/1024)}}MB
																					</div>
																					<div ng-show="$root.progressBarProto > 0"
																						style="width: 80%">
																						<div class="progress-bar"
																							ng-style="{'width': $root.progressBarProto+'%'}">
																						</div>
																						<div class=""
																							style="text-align: center;">
																							<span>{{$root.progressBarProto|
																								number :
																								0}}%</span>
																						</div>
																					</div>
																					<div class="pro-status"
																						ng-show="$root.progressBarProto > 0">
																						<span
																							ng-show="$root.progressBarProto != 100 && $root.progressBarProto != 0">Uploading</span>
																						<span
																							ng-show="$root.progressBarProto == 100">Done</span>
																					</div>
																					<div class="fileclose"
																						ng-click="deleteProtoFile()">
																						<i
																							class="material-icons">close</i>
																					</div>
																				</div>
																			</div>
																			<small>Supported files type: .proto</small>
																		</form>
																		<div class="help-inline validation-msgs validationmsg"
																			ng-if="docoerizedUriProtoError">
																			<span
																				ng-bind="docoerizedUriProtoErrorMsg"></span>
																		</div>
																	</div>
																</div>
															</md-input-container>

														</div>

														<div id="modelName">
															<md-checkbox aria-label="Upload License"
																ng-class="{!isDockerLicUploaded : licenseDocfile = false;}"
																ng-disabled="disableUploadDLCheckbox == true || !dockerUri || !modelDockerURLName"
																ng-model="isDockerLicUploaded"
																ng-click="deleteLicenseFile();"></md-checkbox>
															<label>Add License Profile</label>
														</div>


														<div ng-show="isDockerLicUploaded"
															class="onboardDockerizedUriProtobufFileUpload">
															<div id="modelName" class="dc-row">
																<md-radio-group ng-model="licenseOption"
																	id="licenseOption"
																	ng-change="modelDocLicUploadError=false; licenseDocfile=false; selectedLicense = -1;">
																	<md-radio-button value="Upload">Upload
																	</md-radio-button>
																	<md-radio-button value="selectLicProfile"
																		ng-if="allTemplates"> Select License
																		Profile </md-radio-button>
																</md-radio-group>
																<b>OR</b>
																<button id="create-new-button"
																	ng-click="createNewLicenseProfileTemplate($event, true); selectedLicense = -2;"
																	class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary "
																	alt="Create New License" title="Create New License">
																	Create New</button>
															</div>
															<div ng-if="licenseOption=='selectLicProfile' && allTemplates"
																class="license-detail-form dc-row">

																<div class="select-control mdl-cell mdl-cell--6-col mdl-cell--6-col-tablet mdl-cell--6-col-phone"
																	style="margin-left: 0; padding-left: 0;">
																	<md-select ng-model="$parent.selectedLicense"
																		placeholder="Select">
																		<md-option value="{{$index}}"
																			ng-repeat='template in allTemplates'>
																			{{template.templateName}}</md-option>
																	</md-select>
																</div>
																<div
																	class="mdl-cell mdl-cell--6-col mdl-cell--6-col-tablet mdl-cell--6-col-phone">
																	<button
																		ng-click="modifyLicenseProfileTemplate($event, true)"
																		ng-disabled="$parent.selectedLicense == -1 || selectedLicense == -2"
																		class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary "
																		alt="Modify License" title="Modify License">
																		Modify</button>
																</div>
															</div>


															<div ng-show="licenseOption=='Upload'">
																<div class="mdl-textfield mdl-js-textfield mdl-textfield--file has-placeholder is-upgraded upload-image-input"
																	data-upgraded=",MaterialTextfield">
																	<div class="drag-drop" id="private-dropbox"
																		ng-hide="uploadingFile">
																		<div class="drag-drop-files hide">
																			<p>doc.pdf</p>
																		</div>

																		<div file-droppable
																			filename="licenseDockerFilename"
																			file=licenseDocfile>

																			<img src="images/upload-doc-vector.png"
																				alt="" title="" />
																			<div class="destext">Drag & Drop your file
																				here!</div>
																		</div>
																	</div>
																	<div class="upload-file-container">
																		<div class="input-div">
																			<div file-upload file="licenseDocfile"
																				uploadid="dockerLicuploadid"
																				id="uploadFile"
																				filename="licenseDockerFilename"
																				fileinput="licenseDocfile"
																				ng-model="licenseDocfile" accept=""
																				alt="Browse" title="Browse"
																				ng-click="resetLicenseUpload(true)"
																				readonly></div>
																			<div
																				class="upload-image-input files-uploaded">
																				<input
																					class="mdl-textfield__input disabledClick"
																					placeholder="Upload License"
																					type="text"
																					ng-model="licenseDockerFilename"
																					readonly />
																			</div>
																		</div>
																		<div class="input-upload-button">
																			<button
																				class="mdl-button mdl-js-button btn-secondary md-ink-ripple"
																				type="button"
																				ng-disabled="!licenseDocfile|| fileSubmitDocLicense"
																				ng-click="fileUpload(true, 'isDockerURLLicense');"
																				title="Upload" alt="Upload"
																				data-upgraded=",MaterialButton">
																				<span> Upload </span>
																			</button>
																		</div>
																	</div>

																	<div class="progress-bar-div"
																		ng-show="licenseDocfile.name">
																		<div>
																			<span
																				class="namelength">{{licenseDocfile.name}}</span>
																		</div>
																		<div ng-if="file.size/1024/1024 < 1">
																			{{Math.ceil(licenseDocfile.size/1024)}}KB
																		</div>
																		<div ng-if="file.size/1024/1024 > 1">
																			{{Math.ceil(licenseDocfile.size/1024/1024)}}MB
																		</div>
																		<div ng-show="$root.progressBar > 0 && licUploadFlag == true"
																			style="width: 80%">
																			<div class="progress-bar"
																				ng-style="{'width': $root.progressBar+'%'}">
																			</div>
																			<div class="" style="text-align: center;">
																				<span> {{$root.progressBar| number :
																					0}}% </span>

																			</div>
																		</div>
																		<div class="pro-status"
																			ng-show="$root.progressBar > 0 && licUploadFlag == true">
																			<span
																				ng-show="$root.progressBar != 100 && $root.progressBar != 0">Uploading</span>
																			<span
																				ng-show="$root.progressBar == 100">Done</span>
																		</div>
																		<div class="fileclose"
																			ng-click="closePoup(true, true)">
																			<i class="material-icons">close</i>
																		</div>
																	</div>
																</div>
															</div>
														</div>
													</form>
												</div>
												<div class="upload-error" ng-show="modelDocLicUploadError">
													<small><strong>Please update the license
															profile to correct the following validation
															errors:</strong></small>
													<dl ng-repeat="error in modelDocLicUploadErrorMsg">
														<li ng-if="error">{{error}}</li>
													</dl>
												</div>
											</div>
											<!-- left section end -->
											<div
												class="mdl-cell mdl-cell--4-col mdl-cell--3-col-tablet mdl-cell--4-col-phone upload-model-bundle-right ">
												<div class="upload-model-bundle-right-content">
													<h5>Onboarding History</h5>
													<button ui-sref="onboardingHistory"
														class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary btnhistory"
														alt="View On-boarding History" title="View On-boarding History"
														ng-disabled="!userLoggedIn">
														View On-boarding History &nbsp;<img
															src="images/model_details/onboarding_history.png" alt=""
															title="" ng-show="userLoggedIn" /> <img
															src="images/model_details/onboarding_history_disabled.png"
															alt="" title="" ng-show="!userLoggedIn" />
													</button>

													<h5>Onboarding Documentation</h5>
													<p>
														<a href="https://docs.graphene.org/en/latest/submodules/on-boarding/docs/onboarding-pre_dockerised_and_URI_guide.html"
															target="_blank">On-board a dockerized model URI</a>
													</p>
													<p>
														<a href="https://docs.graphene.org/en/latest/submodules/portal-marketplace/docs/user-guides/portal-user/portal/"
															target="_blank">Graphene Portal for Modelers</a>
													</p>
												</div>
											</div>
										</div>

										<div class="onboardbtn">
											<button ng-click="addToCatalog(true)"
												ng-disabled="modelDocLicUploadError || !dockerUri || !modelDockerURLName || ( disableOnboardingButton == true ) || fileSubmitproto  || (isDockerLicUploaded && (licenseOption=='Upload' && !(licenseDocfile && fileSubmitDocLicense))) || (isDockerLicUploaded && (licenseOption=='selectLicProfile' &&  (!licenseDocfile || selectedLicense == -1))) || !disableDockerRefreshButton"
												class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary "
												alt="Add to Catalog" title="Add to Catalog">
												On-board Model</button>
											<button type="reset"
												ng-disabled="!(stepfailed == true || allSuccess == true || dockerUri || modelDockerURLName || !disableDockerRefreshButton)"
												ng-click="resetDockerURLForm(); licenseOption = 'Upload'"
												class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-secondary "
												alt="Reset Form" title="Reset Form">Reset Form</button>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<!-- on-boarding-web end-->
						</div>

						</md-content>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- </main> -->
<!--  <main class="mdl-layout__content initialVal hasClass"> -->
<md-content class="md-padding company-market " ng-show="!userLoggedIn && onap">Please <a
		ng-click="$root.showAdvancedLogin()">login</a> to upload the model
	using the Web Experience</md-content>
<div class="page-content" id="page-top" ng-if="onap && userLoggedIn">
	<section class="pageheadsection gray-bg">
		<div layout="row" layout-xs="column" layout-fill layout-align="start start"
			class="mdl-grid mdl-grid--no-spacing">
			<div class="mdl-cell mdl-cell--5-col mdl-cell--4-col-phone mdl-cell--5-col-tablet">
				<div>
					<!-- <span class="headline mob-disblock">On-Boarding Model</span> -->
					<span class="headline mob-disblock">Build for ONAP</span>
				</div>
				<ul class="c-breadcrumb">
					<li><a ui-sref="home" ng-click="$root.parentActive = ''">Home</a></li>
					<!-- <li><span>On-Boarding Model</span></li> -->
					<li><span>Build for ONAP</span></li>
				</ul>
			</div>
		</div>
	</section>
	<div class="md-container-head1">
		<label> Many models in the Graphene catalog can be packaged as
			ONAP microservices and deployed in an ONAP instance. Currently, only
			Python models can be built for use in ONAP; other types of models
			will fail the compatibility test on step 2.</label>
	</div>
	<div class="page-wrapper2 onap-section">

		<h4 class="onap-title">ON-BOARD THE ONAP MODEL</h4>
		<md-content class="md-padding company-market onboardingwebContent" ng-show="userLoggedIn">
			<ul class="onboarding-web" id="onap-onboarding">
				<li>
					<div class="imageplace completed">
						<span class="imagecontent model-documentation" alt="User Input" title="User Input"></span>
					</div>
					<div class="text">User Input</div>
				</li>
				<li class="progress-status completed"></li>
				<li>
					<div class="imageplace">
						<span class="imagecontent check_compatibility" alt="Check Compatibility"
							title="Check Compatibility"></span>
					</div>
					<md-tooltip ng-if="errorCC">{{errorCC}}</md-tooltip>
					<div class="text">Check Compatibility</div>

				</li>

				<li class="progress-status"></li>

				<li>
					<div class="imageplace">
						<span class="imagecontent dockerize" alt="Dockerize" title="Create Docker Image"></span>
					</div>
					<md-tooltip ng-if="errorDO">{{errorDO}}</md-tooltip>
					<div class="text">Dockerize</div>

				</li>
				<li class="progress-status"></li>
				<li>
					<div class="imageplace">
						<span class="imagecontent package" alt="Add Docker Image"
							title="Add Docker Image to repository"></span>
					</div>
					<md-tooltip ng-if="errorDI">{{errorDI}}</md-tooltip>
					<div class="text">Add Docker Image</div>

				</li>
				<li class="progress-status"></li>

				<li>
					<div class="imageplace">
						<span class="imagecontent add-repository" alt="Add Artifacts" title="Add Artifacts"></span>
					</div>
					<md-tooltip ng-if="errorAA">{{errorAA}}</md-tooltip>
					<div class="text">Add Artifacts</div>

				</li>
				<li class="progress-status"></li>
				<li>
					<div class="imageplace">
						<span class="imagecontent not-yet-onboarded" alt="Onboarding Status"
							title="Onboarding Status"></span>
					</div>
					<md-tooltip ng-if="errorVM">{{errorVM}}</md-tooltip>
					<div class="publshbutton hide">
						<button ng-click="viewModel()"
							class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-publish ">View
							Model</button>
					</div>
					<div class="text">Not yet onboarded</div>
					<div class="text-completed">Model is onboarded and available
						in Private catalog</div>
				</li>
			</ul>
			<alert-message msg="msg" icon="icon" styleclass="styleclass" ng-show="showAlertMessage" id="onapAlert">
			</alert-message>
		</md-content>

		<div class="progress">
			<div class="progress-bar" style="width: 0%;"></div>
		</div>


		<div class="onap-steps-outer-container">
			<h4 class="gridlistheading">STEPS TO BUILD YOUR ONAP MODEL</h4>
			<div class="onap-steps-inner-container">

				<div class="timeline">
					<div class="">
						<div class="timeline-centered">
							<article class="timeline-entry">
								<div class="timeline-entry-inner">
									<div ng-if="!model.modelName || !popupAddSubmit" class="timeline-icon">
										<span class="entypo-suitcase">1</span>
									</div>
									<div class="timeline-icon bg-success" ng-if="model.modelName&&popupAddSubmit">
										<span class="entypo-feather fa fa-check"></span>
									</div>
									<div class="timeline-label">
										<h2>
											<span
												ng-click="addModel = !addModel;popupAddSubmit = false;model.modelName='';openDrop(false); closeOtherPopovers('addModel',addModel)"
												class="link-heading" ng-class="{disabledLink:keepModelName}">
												Add Model Name| <span class="green" class="green"
													ng-if="model.modelName&&popupAddSubmit">Completed</span> <span
													class="red" ng-if="!model.modelName || !popupAddSubmit">Not
													Started</span>
										</h2>
										<div class="popovers cont" id="addModel" ng-show="addModel">
											<md-toolbar>
												<div class="md-toolbar-tools">
													<h2>Add Model Name</h2>
													<span flex></span>
													<md-button class="md-icon-button"
														ng-click="addModel = !addModel;openDrop(true)">
														<i class="material-icons" alt="Close" title="Close">close</i>
													</md-button>
												</div>
											</md-toolbar>
											<md-dialog-content>
												<div class="md-dialog-content">
													<div class="mdl-grid mdl-grid--no-spacing deploy-grid">
														<div class="mdl-cell mdl-cell--12-col">
															<md-input-container class="md-icon-float md-block">
																<label>Add your Model's Name</label> <input
																	ng-model="model.modelName" type="text">
															</md-input-container>
														</div>

														<div class="mdl-cell mdl-cell--6-col"></div>
													</div>
													<div layout="row" class="popovers-cloud-modalfooter">
														<md-button
															ng-click="addModel = !addModel; model.modelName='';openDrop(true);"
															class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-secondary"
															alt="Cancel" title="Cancel"> Cancel </md-button>
														<md-button
															ng-click="addModel = !addModel;popupAddSubmit = true; openDrop(true);"
															ng-disabled="!model.modelName || model.modelName.length <= 0"
															class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary"
															alt="Done" title="Done"> Done </md-button>
													</div>
												</div>
											</md-dialog-content>
										</div>
										<p>Some information can be displayed related to this
											particular task, such as how to complete this task what are
											data required.</p>
									</div>

								</div>
								<input type="checkbox" ng-model="keepModelName"
									ng-change="changeOnapSolutionName(keepModelName)" ng-disabled="model.modelName">
								Keep Model Name As It Is
							</article>

						</div>
						<div>

							<button ng-click="addToCatalog()"
								ng-disabled="(!model.modelName && !keepModelName ) || ( disableOnboardingButton == true )"
								class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect btn-primary "
								alt="Add to Catalog" title="Add to Catalog">On-board
								Model</button>
						</div>
					</div>
				</div>
			</div>
		</div>